# ColorSpaceYCbCr
Keywords: waveletCompression.colorSpace.ColorSpaceYCbCr class

## waveletCompression.colorSpace
Class ColorSpaceYCbCr

    java.lang.Object
      waveletCompression.colorSpace.ColorSpaceYCbCr

All Implemented Interfaces:
  ColorSpace

    public class ColorSpaceYCbCr

extends java.lang.Object
implements ColorSpace

Der YCbCr-Farbraum.

Author:
  Bettina Selig, Tilman Walther

Constructor Summary
`ColorSpaceYCbCr()`

Method Summary
`double[][][]` `fromRGB(int[][][] image)` Wandelt ein RGB-Bild in den Farbraum.
`java.lang.String` `getName()`
`java.lang.String` `getNameOfComponent(int i)`
`int` `getNumberOfComponents()` Gibt die Anzahl der Komponenten im Farbraum zurück.
`int[][][]` `toRGB(double[][][] image)` Wandelt ein Bild aus dem Farbraum nach RGB.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorSpaceYCbCr

    public ColorSpaceYCbCr()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ColorSpace`
  Returns:
    der Name des Farbraums

### getNumberOfComponents

    public int getNumberOfComponents()

  Description copied from interface: `ColorSpace`
  Gibt die Anzahl der Komponenten im Farbraum zurück. Also z.B. 3 für RGB und 4 für CMYK.

  Specified by:
    `getNumberOfComponents` in interface `ColorSpace`
  Returns:
    die Anzahl der Komponenten im Farbraum

### getNameOfComponent

    public java.lang.String getNameOfComponent(int i)

  Specified by:
    `getNameOfComponent` in interface `ColorSpace`
  Parameters:
    `i` - Nr. der Farbkomponente
  Returns:
    den Namen der Komponente Nr. i

### fromRGB

    public double[][][] fromRGB(int[][][] image)

  Description copied from interface: `ColorSpace`
  Wandelt ein RGB-Bild in den Farbraum.

  Specified by:
    `fromRGB` in interface `ColorSpace`
  Parameters:
    `image` - ein Bild mit RGB-Werten
  Returns:
    das Bild im Farbraum

### toRGB

    public int[][][] toRGB(double[][][] image)

  Description copied from interface: `ColorSpace`
  Wandelt ein Bild aus dem Farbraum nach RGB.

  Specified by:
    `toRGB` in interface `ColorSpace`
  Parameters:
    `image` - ein Bild im Farbraum
  Returns:
    das Bild als RGB-Repräsentation